=== debian/changelog ===
ros-one-pr2eus-moveit (0.3.15-18noble.20251023.1710) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- YoheiKakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 17:10:20 +0000

ros-one-pr2eus-moveit (0.3.15-0noble) noble; urgency=high

  * Loosen test condition for test-collision-object-publisher (#484 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/484>)
  * integrate all .github/workflows/*.yml to config.yml, fix permission issue (#479 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/479>)
  * test check apply_planning_scene before creating collision-object-publisher/*ci* without MoveIt (#469 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/469>)
  * check apply_planning_scene before creating collision-object-publisher/*ci* (#446 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/446>)
  * add test code for #461 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/461> (#468 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/468>)
  * [pr2eus_moveit] Add timeout arg for computing IK and increase timeout for test (#438 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/438>)
  * Check current collision when trajectory could not be generated (#448 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/448>)
  * [pr2eus_moveit] evaluate all bodies only when it has bodies (#442 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/442>)
  * [pr2eus_moveit] Add test for collision-object-publisher (#431 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/431>)
  * [pr2eus_moveit] fix collision-object-sample.l and :add-object in collision-object-publisher.l (#423 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/423>)
  * [pr2eus_moveit] add method to delete collision objects by id (#421 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/421>)
  * [pr2eus_moveit] fix cylinder collision object msg (#419 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/419>)
  * enable to test navigation in gazebo for  pr2-ri-test (#420 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/420>)
  * [pr2eus_moveit] Add docstring to :angle-vector-motion-plan (#392 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/392>)
  * need to check both pr2_gazebo and pr2_moveit_config (#393 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/393>)
  * Contributors: Kei Okada, Koki Shinjo, Naoto Tsukamoto, Naoya Yamaguchi, Shingo Kitagawa, Shumpei Wakabayashi, Shun Hasegawa, Yuto Uchimi

 -- YoheiKakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 17 Apr 2023 00:00:00 -0000

ros-one-pr2eus-moveit (0.3.14-0noble) noble; urgency=high

  * fix typo and add pr2-init in pr2eus-moveit.l for PR2 + moveit (#382 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/382> )
    
      * add moveit pr2-init in pr2eus-moveit.l
        redefine original pr2-init -> pr2-init-org
      * fix parenthesis close in pr2eus-moveit.l
    
  * Fix velocity time scaling (#377 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/377> )
    
      * Fix scaling of multi dof joint trajectory
      * scale accelerations in :trajectory-filter
      * fix velocity time scaling
      * Add test for time scaling of vel and acc in :trajectory-filter
    
  * Fix :angle-vector-make-trajectory to ignore start-offset-time (#365 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/365> )
    
      * Remove first point of new traj if it overlaps with existing traj.
        Without this fix, traj points having the same time_from_start appear.
        This may harm joint trajectory action server.
      * Use exact time_from_start to pass test
      * Fix :angle-vector-make-trajectory to ignore start-offset-time
      * Reduce start-offset-time to speed up tests
      * Use init-pose instead of reset-manip-pose to speed up test-angle-vector-sequence-motion-plan
      * Loosen time limit of new test
      * Add test for start-offset-time with avs
    
  * Fix time_from_start in motion-planned angle-vector-sequence (#363 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/363> )
    
      * Update robot in *ri* in 1st loop
      * Set time_from_start correctly in :angle-vector-make-trajectory
        Previously, traj points for second av started from zero time_from_start
      * Add equal to sort in test to avoid error
      * Add test for concatenation in :angle-vector-make-trajectory
    
  * Fix :trajectory-filter to ignore start-offset-time (#361 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/361> )
    
      * Remove start-offset-time from passing args
      * Fix :trajectory-filter to ignore start-offset-time
      * Add test for start-offset-time
    
  * pr2eus_moveit: support motion with mobile base (#357 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/357> )
    
      * reset-total-time is used only when trajectory is short
        See https://github.com/jsk-ros-pkg/jsk_pr2eus/blob/0.3.13/pr2eus_moveit/euslisp/robot-moveit.l#L539-L544
      * Don't skip :trajectory-filter as before
        So far, this has been realized by an odd way
        (https://github.com/jsk-ros-pkg/jsk_pr2eus/commit/ca27e9d8dbe765b1879daf9ccd80e09c81674ab1)
      * pr2eus_moveit: run test only when pr2_gazebo is available
      * pr2eus_moveit: support planning with base movement
    
  * run everything within jenkins (#340 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/340>)
    
      * explictly set DISPLAY="" for roseus test
      * re-define :joint-angle to avoid print violate max/min-angle that exceeds 4M log limit
      * test-pr2eus-moveit.l: not sure why, but sometimes utf-8 code is displayed and brakes catkin build
      * set time-limit for pr2-ri-test to 600
      * .travis.yml: run everything within travis
      * install pr2-arm-kinematics for indigo
    
  * Use service call for collision-object-publisher (#324 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/324>)
    
      * operate attached_collision_object by service call
      * refactor codes in collision-object-publisher
    

