=== debian/control ===
Source: ros-one-pr2eus-moveit
Section: misc
Priority: optional
Maintainer: YoheiKakiuchi <youhei@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-control-msgs, ros-one-moveit-msgs, ros-one-pr2eus, ros-one-roseus
Homepage: http://ros.org/wiki/pr2eus_moveit
Standards-Version: 3.9.2

Package: ros-one-pr2eus-moveit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-control-msgs, ros-one-moveit-msgs, ros-one-pr2eus, ros-one-roseus
Description: pr2eus_moveit
